# PSF-LoginServer - master - net.psforever.objects.guid.actor.Register
PSF - LoginServer - master - net.psforever.objects.guid.actor.Register
Keywords: PSF LoginServer master net.psforever.objects.guid.actor.Register

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package guid
  Definition Classes
    objects
-  package actor
  Definition Classes
    guid
- NumberPoolActor
- Register
- UniqueNumberSystem
- Unregister

c

net.psforever.objects.guid.actor

# Register 

###
Companion object Register

#### final case class Register(obj: IdentifiableEntity, name: Option[String], number: Option[Int], callback: Option[ActorRef]) extends Product with Serializable

A message for accepting object-number registration requests.
The callback is actually an `ActorRef` to which a `RegisterSuccess` message or a `RegisterFailure` message is sent. This is as opposed to what a "callback" is normally - a function.

obj

  the mandatory object

name

  the optional name of the number pool to which this object is registered

number

  the optional number pre-selected for registering this object

callback

  the optional custom callback for the messages from the success or failure conditions

Source
  Register.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Register
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Register(obj: IdentifiableEntity, name: Option[String], number: Option[Int], callback: Option[ActorRef])

   obj

     the mandatory object

   name

     the optional name of the number pool to which this object is registered

   number

     the optional number pre-selected for registering this object

   callback

     the optional custom callback for the messages from the success or failure conditions

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val callback: Option[ActorRef]
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  val name: Option[String]
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  val number: Option[Int]
16.  val obj: IdentifiableEntity
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped